Web lists-archives.com

Re: [kde-linux] When the KDE can be robust and stable enough for enterprise users?




On Mon, 13 Apr 2015 11:14:09 +0200, Kevin Krammer wrote:
>On Monday, 2015-04-13, 17:18:44, Franklin Wang wrote:
>> Hi guys,
>> 
>> what's your opinion?
>
>You mean Plasma 5?

Will window layering implementation [1] get fixed some day, so that all
professional software could be used with KDE?

Regards,
Ralf

[1]
Begin forwarded message:

Date: Sun, 12 Apr 2015 07:58:28 -0400
From: Paul Davis <paul@xxxxxxxxxxxxxxxxxxxxx>
Cc: ardour-users <ardour-users@xxxxxxxxxxxxxxxx>
Subject: Re: [Ardour-Users] Ardour 4.0 rc3


On Sat, Apr 11, 2015 at 9:37 PM, j. wrote:
>   Only option at that point was
> to kill Ardour.  System is Linux Mint 17, 64 bits, using KDE.  File
> dialog of above directory attached.
>

we have considered officially announcing that KDE cannot be supported.

Their window managers do not implement an important part of the
Freedesktop standards for window layering. They have dismissed the bug
reports about this (which started with the GIMP, which had/has the same
problems) as "Will not fix". This is unacceptable. KDE is the only
platform to have no sane window layering implementation. Our code works
on Windows, OS X and with every other Linux desktop environment.
___________________________________________________
This message is from the kde-linux mailing list.
Account management:  https://mail.kde.org/mailman/listinfo/kde-linux.
Archives: http://lists.kde.org/.
More info: http://www.kde.org/faq.html.